/*
 * gwenrename.h
 *
 * Copyright (C) 2008 Spiros Georgaras <sng@hellug.gr>
 */
#ifndef GWENRENAME_H
#define GWENRENAME_H


#include <kxmlguiwindow.h>

// #include "ui_prefs_base.h"

class gwenrenameView;
class QPrinter;
class KToggleAction;
class KUrl;

/**
 * This class serves as the main window for gwenrename.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Spiros Georgaras <sng@hellug.gr>
 * @version 1.1
 */
class gwenrename : public KXmlGuiWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    gwenrename();

    /**
     * Default Destructor
     */
    virtual ~gwenrename();

private slots:
    void fileNew();
    void optionsPreferences();

private:
    void setupActions();

private:
//     Ui::prefs_base ui_prefs_base ;
    gwenrenameView *m_view;

    QPrinter   *m_printer;
    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;
};

#endif // _GWENRENAME_H_
